import IRC.*;
import java.util.*;

public class ServerPOA extends IServerPOA {
	Vector users = new Vector();
	
	public void Connectar(IControl ctrl) {
		users.add(ctrl);
	}

	public void Desconnectar(IControl ctrl) {
		users.remove(ctrl);
	}

	public String[] Usuaris() {
		String[] result = new String[users.size()];
		int i = 0;
		
		Iterator it = users.iterator();
		while (it.hasNext()) {
			IControl ctrlElement = (IControl)it.next();
			String id = ctrlElement.ID();
			result[i] = id;
			i++;
		}

		return result;
	}

	public void Enviar(IControl ctrl, String missatge) {
		IControl ctrlElement;
		
		Iterator it = users.iterator();
		while (it.hasNext()) {
			ctrlElement = (IControl)it.next();
			ctrlElement.Talk(ctrl.ID(), missatge);
		}
	}

}
